Package org.apache.tomcat.util.buf

## Enum UEncoder.SafeCharsSet

- java.lang.Object
- - java.lang.Enum<UEncoder.SafeCharsSet>
  - - org.apache.tomcat.util.buf.UEncoder.SafeCharsSet

All Implemented Interfaces:
  `Serializable`, `Comparable<UEncoder.SafeCharsSet>`

Enclosing class:
  UEncoder

    public static enum UEncoder.SafeCharsSet
    extends Enum<UEncoder.SafeCharsSet>

### Enum Constant Summary

Enum Constants
`DEFAULT`
`WITH_SLASH`

### Method Summary

All Methods Static Methods Concrete Methods
`static UEncoder.SafeCharsSet` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static UEncoder.SafeCharsSet[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WITH_SLASH

    public static final UEncoder.SafeCharsSet WITH_SLASH

#### DEFAULT

    public static final UEncoder.SafeCharsSet DEFAULT

### Method Detail

#### values

    public static UEncoder.SafeCharsSet[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UEncoder.SafeCharsSet c : UEncoder.SafeCharsSet.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UEncoder.SafeCharsSet valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null